# Uses of Class
org.eclipse.jdt.ui.dialogs.TypeSelectionExtension

Packages that use TypeSelectionExtension
Package
Description
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of TypeSelectionExtension in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type TypeSelectionExtension
Modifier and Type
Method
Description
`static org.eclipse.ui.dialogs.SelectionDialog`
JavaUI.`createTypeDialog(org.eclipse.swt.widgets.Shell parent, org.eclipse.jface.operation.IRunnableContext context, IJavaSearchScope scope, int style, boolean multipleSelection, String filter, TypeSelectionExtension extension)`
Creates a selection dialog that lists all types in the given scope.